> ## Documentation Index
> Fetch the complete documentation index at: https://www.activepieces.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Projects



## OpenAPI

````yaml GET /v1/projects
openapi: 3.1.0
info:
  title: Activepieces Documentation
  version: 0.0.0
servers:
  - url: https://cloud.activepieces.com/api
    description: Production Server
security: []
externalDocs:
  url: https://www.activepieces.com/docs
  description: Find more info here
paths:
  /v1/projects:
    get:
      tags:
        - projects
      parameters:
        - schema:
            type: string
          in: query
          name: externalId
          required: false
        - schema:
            type: string
          in: query
          name: externalUserId
          required: false
        - schema:
            type: number
          in: query
          name: limit
          required: false
        - schema:
            type: string
          in: query
          name: cursor
          required: false
        - schema:
            type: string
          in: query
          name: displayName
          required: false
        - schema:
            type: array
            items:
              type: string
              enum:
                - TEAM
                - PERSONAL
          in: query
          name: types
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/project'
                  next:
                    anyOf:
                      - type: string
                      - type: 'null'
                  previous:
                    anyOf:
                      - type: string
                      - type: 'null'
                required:
                  - data
                additionalProperties: false
      security:
        - apiKey: []
components:
  schemas:
    project:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: '#/components/schemas/project'
      type: object
      properties:
        id:
          type: string
        created:
          type: string
        updated:
          type: string
        ownerId:
          type: string
        displayName:
          type: string
        platformId:
          type: string
          pattern: ^[0-9a-zA-Z]{21}$
        maxConcurrentJobs:
          anyOf:
            - type: number
            - type: 'null'
        type:
          type: string
          enum:
            - TEAM
            - PERSONAL
        icon:
          type: object
          properties:
            color:
              type: string
              enum:
                - RED
                - BLUE
                - YELLOW
                - PURPLE
                - GREEN
                - PINK
                - VIOLET
                - ORANGE
                - DARK_GREEN
                - CYAN
                - LAVENDER
                - DEEP_ORANGE
          required:
            - color
          additionalProperties: false
        externalId:
          anyOf:
            - type: string
            - type: 'null'
        releasesEnabled:
          type: boolean
        metadata:
          anyOf:
            - type: object
              propertyNames:
                type: string
              additionalProperties: {}
            - type: 'null'
        poolId:
          anyOf:
            - type: string
              pattern: ^[0-9a-zA-Z]{21}$
            - type: 'null'
        plan:
          type: object
          properties:
            id:
              type: string
            created:
              type: string
            updated:
              type: string
            projectId:
              type: string
            locked:
              default: false
              type: boolean
            name:
              type: string
            piecesFilterType:
              type: string
              enum:
                - NONE
                - ALLOWED
            pieces:
              type: array
              items:
                type: string
          required:
            - id
            - created
            - updated
            - projectId
            - locked
            - name
            - piecesFilterType
            - pieces
          additionalProperties: false
        analytics:
          type: object
          properties:
            totalUsers:
              type: number
            activeUsers:
              type: number
            totalFlows:
              type: number
            activeFlows:
              type: number
          required:
            - totalUsers
            - activeUsers
            - totalFlows
            - activeFlows
          additionalProperties: false
      required:
        - id
        - created
        - updated
        - ownerId
        - displayName
        - platformId
        - type
        - icon
        - releasesEnabled
        - plan
        - analytics
      additionalProperties: false
  securitySchemes:
    apiKey:
      type: http
      description: Use your api key generated from the admin console
      scheme: bearer

````